Image 01
profile-image

anirban

Anirban Biswas
Video Apps
Baghira SuSE 9.x RPM

KDE 3.5 Themes by Massive 154 comments

Hi

I generally use SuSe 9.1 on a P4 machine , but I bought a Laptop with AMD 64 Athlon & installed SuSe 9.1 64 bit. But when I try to compile baghira , ./configure give me error qt-mt not found.

Now if I specify the --with-qt-libaries=/usr/lib64/qt3/lib64 then configure run successfully but make fails saying that libtool can not find libart_lgpl_2.la is not found in /usr/lib

though the same file is in /usr/lib64. I made a syslink of that lib to /usr/lib but then libtool can not find another lib similarly.

Inface I am not able to compile any QT/KDE apps on my laptop

Any body has any solution to this.

TIA

Anirban Biswas - Sep 16 2004
Kripper

Video Apps by anirban 2 comments

Hi my mistake. I shall fix it in next cvs commit. Currently what you can do is remove the default values passed in the constructors , when the constructor is defined in *.cpp files (such as in setup.cpp file repeate this process if other *.cpp files also give this same error)

Cause default parameter is already passed in that constructors when they declared in *.h files

Now in my system g++ treat it as warning & still compile the code but in your system g++ treat it as error & stops.

Sorry for the inconviniance due to not follwoing the C++ standard.

Also you can try another thing open the project using KDevelop3 & do a dist clean then Run automake & friends from Build menu then do Run COnfigure & then Build Project.

Anirban Biswas - Jun 17 2004
cynapses karamba

Karamba & Superkaramba by gladiac 168 comments

Hwao Great Stuff man this super Karamba theme is really super & the trasparent back ground makes it suitable for any kind of Wall Paper it looks great on KDE Melon wall paper. - Apr 12 2004